Name:           atanks
Version:        4.3
Release:        3%{?dist}
Summary:        Remake of a classic DOS game "Scorched Earth"

Group:          Amusements/Games
License:        GPLv2+
URL:            http://atanks.sourceforge.net/
Source0:        http://download.sourceforge.net/atanks/atanks-%{version}.tar.gz
Source1:	    atanks.sh
Patch1:		    atanks-4.2-mkdir.patch
Patch2:         atanks-4.3-add-lpthread.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  allegro-devel, desktop-file-utils, glibc-headers
Requires:	hicolor-icon-theme

%description
Atomic Tanks is a game in which you control an overly-powerful
tank and attempt to blow up other highly powerful tanks. Players
get to select a number of weapons and defensive items and then
attack each other in a turn-based manner. The last tank standing
is the winner.


%prep
%setup -q

%patch1 -p0 -b .mkdir
%patch2 -p1 -b .add-lpthread

%build
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 0755 \
    $RPM_BUILD_ROOT%{_datadir}/games/atanks \
    $RPM_BUILD_ROOT%{_bindir} \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps \
    $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 0644 *.txt $RPM_BUILD_ROOT%{_datadir}/games/atanks/
install -p -m 0644 unicode.dat $RPM_BUILD_ROOT%{_datadir}/games/atanks/
install -p -m 0755 atanks $RPM_BUILD_ROOT%{_bindir}/atanks.bin
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/atanks
install -p -m 0644 atanks.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp -pr button exporter misc missile sound stock tank tankgun text title $RPM_BUILD_ROOT%{_datadir}/games/atanks/ 
desktop-file-install \
    --mode 0644 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    --add-category StrategyGame \
    atanks.desktop

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog COPYING README TODO
%dir %{_datadir}/games/atanks
%{_datadir}/games/atanks/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_bindir}/atanks*


%changelog
* Wed Feb 17 2010 Nikola Pajkovsky <npajkovs@redhat.com> - 4.3-3
- Resolves: #564768 - FTBFS atanks-4.3-2.fc13: ImplicitDSOLinking

* Fri Jan 22 2010 Jon Ciesla <limb@jcomserv.net> - 4.3-2
- Update icon cache.

* Fri Jan 15 2010 Jon Ciesla <limb@jcomserv.net> - 4.3-1
- New upstream.

* Wed Jan 13 2010 Jon Ciesla <limb@jcomserv.net> - 4.2-1
- New upstream.
- Dropped nothreads patch, upstreamed.

* Fri Nov 06 2009 Jon Ciesla <limb@jcomserv.net> - 4.1-3
- Fix crash on SMP systems.

* Wed Nov 04 2009 Jon Ciesla <limb@jcomserv.net> - 4.1-2
- Add unicode.dat, datafiles.

* Thu Oct 29 2009 Nikola Pajkovsky <npajkovs@redhat.com> 4.1-1
- Upstream 4.1

* Thu Sep 17 2009 Jon Ciesla <limb@jcomserv.net> - 3.9-1
- Upstream 3.9

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.7-1
- Upstream 3.7

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 3.2-1
- Upstream 3.2
- Use upstream atanks.png

* Sat Apr 12 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.9-1
- Upstream 2.9

* Sun Dec 23 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.7-1
- Upstream 2.7

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.5-1
- Upstream 2.5
- Appease license naming gods

* Mon Jul 02 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4-1
- Importing into Fedora CVS and building.

* Fri Jun 29 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.4-0.1
- Initial packaging for Fedora.
